Percona XtraDB Cluster - HA scalable solution for MySQL

Incorrect version string (debian)

Reported by Raghavendra D Prabhu on 2013-05-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Percona XtraDB Cluster
High
Ignacio Nin

Bug Description

The version string for debian PXC build seems to be incorrect

"Server version: 5.5.30-30.2-log Percona Server (GPL), Release 30.2, wsrep_23.7.4.r3843"

For earlier version it showed:

"Server version: 5.5.29-55-log Percona XtraDB Cluster (GPL), wsrep_23.7.2.r3843"

summary: - Issues with build scripts
+ Issues with debian build scripts
Changed in percona-xtradb-cluster:
milestone: none → 5.5.30-24.8
importance: Undecided → High
Ignacio Nin (ignacio-nin) wrote :

What would be the desired debian version string?

I'm thinking we should unify the version strings across PS/PXC and any linux version as well.

summary: - Issues with debian build scripts
+ Incorrect version string (debian)
Changed in percona-xtradb-cluster:
status: New → Incomplete

> What would be the desired debian version string?

The correct one. It should show "Percona XtraDB Cluster" instead of "Percona Server".

No, we shouldn't unify the version strings.

Changed in percona-xtradb-cluster:
status: Incomplete → Triaged

I am not sure what the rationale behind unification of version
strings is, because that is what unambiguously provides
identification of the server running on that system.

And, unification will imply removing 'wsrep_23.7.2.r3843' etc.
which is not right.

Changed in percona-xtradb-cluster:
status: Triaged → In Progress
Changed in percona-xtradb-cluster:
status: In Progress → Fix Committed
Changed in percona-xtradb-cluster:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers